# Document

class Document implements ModelObject, Comparable

## Methods

string
getFilename()

No description

setFilename(string $filename)

No description

string
getMd5hash()

No description

setMd5hash(string $md5hash)

No description

string
getHref()

No description

setHref(string $href)

No description

__toString()

No description

compare(Comparable $b)

No description

## Details

###
at line 60
`string getFilename()`

#### Return Value

string |

###
at line 67
`setFilename(string $filename)`

#### Parameters

string | $filename |

###
at line 74
`string getMd5hash()`

#### Return Value

string |

###
at line 81
`setMd5hash(string $md5hash)`

#### Parameters

string | $md5hash |

###
at line 88
`string getHref()`

#### Return Value

string |

###
at line 95
`setHref(string $href)`

#### Parameters

string | $href |

###
at line 107
`__toString()`

###
at line 111
`compare(Comparable $b)`

#### Parameters

Comparable | $b |